bigtop-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ofle...@apache.org
Subject [02/51] [abbrv] bigtop git commit: BIGTOP-2414. Rename Tachyon to Alluxio
Date Fri, 29 Jul 2016 17:02:43 GMT
BIGTOP-2414. Rename Tachyon to Alluxio

Signed-off-by: Olaf Flebbe <of@oflebbe.de>


Project: http://git-wip-us.apache.org/repos/asf/bigtop/repo
Commit: http://git-wip-us.apache.org/repos/asf/bigtop/commit/f9923e2e
Tree: http://git-wip-us.apache.org/repos/asf/bigtop/tree/f9923e2e
Diff: http://git-wip-us.apache.org/repos/asf/bigtop/diff/f9923e2e

Branch: refs/heads/BIGTOP-2253
Commit: f9923e2eac98dcfb5172cb8772e5e9e368725936
Parents: d7a595a
Author: Jonathan Kelly <jonathak@amazon.com>
Authored: Thu Mar 3 17:38:39 2016 -0800
Committer: Olaf Flebbe <of@oflebbe.de>
Committed: Mon May 16 19:57:39 2016 +0200

----------------------------------------------------------------------
 MAINTAINERS.txt                                 |   2 +-
 bigtop-ci/jenkins/jobsCreator.groovy            |   2 +-
 .../puppet/hieradata/bigtop/cluster.yaml        |   4 +-
 bigtop-deploy/puppet/hieradata/site.yaml        |   2 +-
 bigtop-deploy/puppet/manifests/cluster.pp       |   8 +-
 .../puppet/modules/alluxio/manifests/init.pp    |  79 +++++
 .../modules/alluxio/templates/alluxio-env.sh    |  78 +++++
 .../modules/alluxio/templates/log4j.properties  |  55 ++++
 .../puppet/modules/tachyon/manifests/init.pp    |  79 -----
 .../modules/tachyon/templates/log4j.properties  |  55 ----
 .../modules/tachyon/templates/tachyon-env.sh    |  78 -----
 bigtop-deploy/vm/vagrant-puppet-vm/README.md    |   2 +-
 .../src/common/alluxio/alluxio-master.svc       |  72 +++++
 .../src/common/alluxio/alluxio-worker.svc       |  76 +++++
 .../src/common/alluxio/do-component-build       |  24 ++
 bigtop-packages/src/common/alluxio/init.d.tmpl  | 315 +++++++++++++++++++
 .../src/common/alluxio/install_alluxio.sh       | 159 ++++++++++
 .../alluxio/patch0-fix-license-check.diff       |  24 ++
 .../src/common/tachyon/do-component-build       |  21 --
 bigtop-packages/src/common/tachyon/init.d.tmpl  | 315 -------------------
 .../src/common/tachyon/install_tachyon.sh       | 160 ----------
 .../src/common/tachyon/tachyon-master.svc       |  72 -----
 .../src/common/tachyon/tachyon-worker.svc       |  76 -----
 bigtop-packages/src/deb/alluxio/alluxio.dirs    |   4 +
 bigtop-packages/src/deb/alluxio/alluxio.install |   3 +
 .../src/deb/alluxio/alluxio.postinst            |  32 ++
 bigtop-packages/src/deb/alluxio/alluxio.prerm   |  37 +++
 bigtop-packages/src/deb/alluxio/changelog       |   1 +
 bigtop-packages/src/deb/alluxio/compat          |   1 +
 bigtop-packages/src/deb/alluxio/control         |  37 +++
 bigtop-packages/src/deb/alluxio/copyright       |  15 +
 bigtop-packages/src/deb/alluxio/rules           |  43 +++
 bigtop-packages/src/deb/alluxio/source/format   |   1 +
 bigtop-packages/src/deb/tachyon/changelog       |   1 -
 bigtop-packages/src/deb/tachyon/compat          |   1 -
 bigtop-packages/src/deb/tachyon/control         |  37 ---
 bigtop-packages/src/deb/tachyon/copyright       |  15 -
 ...xclude-debian-subdir-from-license-check.diff |  10 -
 bigtop-packages/src/deb/tachyon/rules           |  43 ---
 bigtop-packages/src/deb/tachyon/source/format   |   1 -
 .../src/deb/tachyon/tachyon-tfs.dirs            |   4 -
 .../src/deb/tachyon/tachyon-tfs.install         |   3 -
 .../src/deb/tachyon/tachyon-tfs.postinst        |  32 --
 .../src/deb/tachyon/tachyon-tfs.prerm           |  37 ---
 .../src/rpm/alluxio/SPECS/alluxio.spec          | 145 +++++++++
 .../src/rpm/tachyon/SPECS/tachyon.spec          | 131 --------
 .../smoke-tests/alluxio/TestAlluxioSmoke.groovy |  80 +++++
 bigtop-tests/smoke-tests/alluxio/build.gradle   |  32 ++
 bigtop-tests/smoke-tests/alluxio/datafile       |   1 +
 .../smoke-tests/alluxio/log4j.properties        |  24 ++
 .../smoke-tests/tachyon/TestTachyonSmoke.groovy |  80 -----
 bigtop-tests/smoke-tests/tachyon/build.gradle   |  32 --
 bigtop-tests/smoke-tests/tachyon/datafile       |   1 -
 .../smoke-tests/tachyon/log4j.properties        |  24 --
 bigtop.bom                                      |  14 +-
 build.gradle                                    |   2 +-
 pom.xml                                         |   2 +-
 57 files changed, 1357 insertions(+), 1327 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/MAINTAINERS.txt
----------------------------------------------------------------------
diff --git a/MAINTAINERS.txt b/MAINTAINERS.txt
index aa0d95e..b629532 100644
--- a/MAINTAINERS.txt
+++ b/MAINTAINERS.txt
@@ -1,3 +1,4 @@
+alluxio: jay vyas, huamin chen
 apex: chinmay <chinmay@apache.org>, aniruddha <aniruddha@apache.org>
 bigpetstore: jay vyas, rj nowling
 CI infra: rvs
@@ -22,7 +23,6 @@ qfs: fsareshwala <fsareshwala@quantcast.com>
 smoke-tests: jay vyas, david capwell
 spark: jay vyas, youngwoo kim
 sqoop: sean mackrory, youngwoo kim
-tachyon: jay vyas, huamin chen
 tajo: yeongeon kim
 test-artifacts and test-execution repos:
 tez: evans ye, oflebbe

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-ci/jenkins/jobsCreator.groovy
----------------------------------------------------------------------
diff --git a/bigtop-ci/jenkins/jobsCreator.groovy b/bigtop-ci/jenkins/jobsCreator.groovy
index 80ea017..5ced028 100644
--- a/bigtop-ci/jenkins/jobsCreator.groovy
+++ b/bigtop-ci/jenkins/jobsCreator.groovy
@@ -19,7 +19,7 @@
 def bigtopComponents = ["bigtop-groovy", "bigtop-jsvc", "bigtop-tomcat", "bigtop-utils", 
                         "zookeeper", "hadoop", "hbase", "hive", "pig", "crunch", "datafu", 
                         "flume", "giraph", "ignite-hadoop", "mahout", "oozie", "phoenix",
-                        "solr", "spark", "sqoop", "tachyon", "whirr"]
+                        "solr", "spark", "sqoop", "alluxio", "whirr"]
 // FIXME: it would be nice to extract the following from some static configuration file
 def targetOS = ["fedora-20",  "opensuse-12.3",  "ubuntu-14.04"]
 def gitUrl = "https://git-wip-us.apache.org/repos/asf/bigtop.git"

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-deploy/puppet/hieradata/bigtop/cluster.yaml
----------------------------------------------------------------------
diff --git a/bigtop-deploy/puppet/hieradata/bigtop/cluster.yaml b/bigtop-deploy/puppet/hieradata/bigtop/cluster.yaml
index ac8977c..71e01c7 100644
--- a/bigtop-deploy/puppet/hieradata/bigtop/cluster.yaml
+++ b/bigtop-deploy/puppet/hieradata/bigtop/cluster.yaml
@@ -16,7 +16,7 @@
 # "$components" list. If $components isn't set then everything in the stack will
 # be installed as usual. Otherwise only a specified list will be set
 # Possible elements:
-# hadoop,yarn,hbase,tachyon,flume,solrcloud,spark,oozie,hcat,sqoop,sqoop2,httpfs,
+# hadoop,yarn,hbase,alluxio,flume,solrcloud,spark,oozie,hcat,sqoop,sqoop2,httpfs,
 # hue,mahout,giraph,crunch,pig,hive,zookeeper,ycsb,qfs
 # Example (to deploy only HDFS and YARN server and gateway parts)
 # This can be a comma-separated list or an array.
@@ -129,7 +129,7 @@ hcatalog::webhcat::server::kerberos_realm: "%{hiera('kerberos::site::realm')}"
 
 spark::common::master_host: "%{hiera('bigtop::hadoop_head_node')}"
 
-tachyon::common::master_host: "%{hiera('bigtop::hadoop_head_node')}"
+alluxio::common::master_host: "%{hiera('bigtop::hadoop_head_node')}"
 
 # qfs
 qfs::common::metaserver_host: "%{hiera('bigtop::hadoop_head_node')}"

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-deploy/puppet/hieradata/site.yaml
----------------------------------------------------------------------
diff --git a/bigtop-deploy/puppet/hieradata/site.yaml b/bigtop-deploy/puppet/hieradata/site.yaml
index 3e447cc..d429269 100644
--- a/bigtop-deploy/puppet/hieradata/site.yaml
+++ b/bigtop-deploy/puppet/hieradata/site.yaml
@@ -12,6 +12,7 @@ hadoop::hadoop_storage_dirs:
   - /data/4
 
 #hadoop_cluster_node::cluster_components:
+#  - alluxio
 #  - apex
 #  - crunch
 #  - flume
@@ -31,7 +32,6 @@ hadoop::hadoop_storage_dirs:
 #  - spark
 #  - sqoop
 #  - sqoop2
-#  - tachyon
 #  - tez
 #  - yarn
 #  - zookeeper

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-deploy/puppet/manifests/cluster.pp
----------------------------------------------------------------------
diff --git a/bigtop-deploy/puppet/manifests/cluster.pp b/bigtop-deploy/puppet/manifests/cluster.pp
index 1bae46f..ba980bd 100644
--- a/bigtop-deploy/puppet/manifests/cluster.pp
+++ b/bigtop-deploy/puppet/manifests/cluster.pp
@@ -52,9 +52,9 @@ $roles_map = {
     master => ["spark-master"],
     worker => ["spark-worker"],
   },
-  tachyon => {
-    master => ["tachyon-master"],
-    worker => ["tachyon-worker"],
+  alluxio => {
+    master => ["alluxio-master"],
+    worker => ["alluxio-worker"],
   },
   flume => {
     worker => ["flume-agent"],
@@ -158,6 +158,7 @@ class node_with_roles ($roles = hiera("bigtop::roles")) inherits hadoop_cluster_
   }
 
   $modules = [
+    "alluxio",
     "apex",
     "crunch",
     "giraph",
@@ -175,7 +176,6 @@ class node_with_roles ($roles = hiera("bigtop::roles")) inherits hadoop_cluster_
     "mahout",
     "solr",
     "spark",
-    "tachyon",
     "qfs",
     "tez",
     "ycsb",

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-deploy/puppet/modules/alluxio/manifests/init.pp
----------------------------------------------------------------------
diff --git a/bigtop-deploy/puppet/modules/alluxio/manifests/init.pp b/bigtop-deploy/puppet/modules/alluxio/manifests/init.pp
new file mode 100644
index 0000000..66151ca
--- /dev/null
+++ b/bigtop-deploy/puppet/modules/alluxio/manifests/init.pp
@@ -0,0 +1,79 @@
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+class alluxio {
+
+  class deploy ($roles) {
+    if ("alluxio-master" in $roles) {
+      include alluxio::master
+    }
+
+    if ("alluxio-worker" in $roles) {
+      include alluxio::worker
+    }
+  }
+
+  class common ($master_host){
+    package { "alluxio":
+      ensure => latest,
+    }
+
+    # add logging into /var/log/..
+    file {
+        "/etc/alluxio/conf/log4j.properties":
+        content => template("alluxio/log4j.properties"),
+        require => [Package["alluxio"]]
+    }
+
+    # add alluxio-env.sh to point to alluxio master
+    file { "/etc/alluxio/conf/alluxio-env.sh":
+        content => template("alluxio/alluxio-env.sh"),
+        require => [Package["alluxio"]]
+    }
+  }
+
+  class master {
+    include common
+
+   exec {
+        "alluxio formatting":
+           command => "/usr/lib/alluxio/bin/alluxio format",
+           require => [ Package["alluxio"], File["/etc/alluxio/conf/log4j.properties"], File["/etc/alluxio/conf/alluxio-env.sh"] ]
+    }
+
+    if ( $fqdn == $alluxio::common::master_host ) {
+      service { "alluxio-master":
+        ensure => running,
+        require => [ Package["alluxio"], Exec["alluxio formatting"] ],
+        hasrestart => true,
+        hasstatus => true,
+      }
+    }
+
+  }
+
+  class worker {
+    include common
+
+   if ( $fqdn == $alluxio::common::master_host ) {
+      notice("alluxio ---> master host")
+      # We want master to run first in all cases
+      Service["alluxio-master"] ~> Service["alluxio-worker"]
+   }
+
+    service { "alluxio-worker":
+      ensure => running,
+      require => [ Package["alluxio"], File["/etc/alluxio/conf/log4j.properties"], File["/etc/alluxio/conf/alluxio-env.sh"] ],
+      hasrestart => true,
+      hasstatus => true,
+    }
+  }
+}

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-deploy/puppet/modules/alluxio/templates/alluxio-env.sh
----------------------------------------------------------------------
diff --git a/bigtop-deploy/puppet/modules/alluxio/templates/alluxio-env.sh b/bigtop-deploy/puppet/modules/alluxio/templates/alluxio-env.sh
new file mode 100755
index 0000000..27c7fb2
--- /dev/null
+++ b/bigtop-deploy/puppet/modules/alluxio/templates/alluxio-env.sh
@@ -0,0 +1,78 @@
+#!/usr/bin/env bash
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# This file contains environment variables required to run Alluxio. Copy it as alluxio-env.sh and
+# edit that to configure Alluxio for your site. At a minimum,
+# the following variables should be set:
+#
+# - JAVA_HOME, to point to your JAVA installation
+# - ALLUXIO_MASTER_ADDRESS, to bind the master to a different IP address or hostname
+# - ALLUXIO_UNDERFS_ADDRESS, to set the under filesystem address.
+# - ALLUXIO_WORKER_MEMORY_SIZE, to set how much memory to use (e.g. 1000mb, 2gb) per worker
+# - ALLUXIO_RAM_FOLDER, to set where worker stores in memory data
+# - ALLUXIO_UNDERFS_HDFS_IMPL, to set which HDFS implementation to use (e.g. com.mapr.fs.MapRFileSystem,
+#   org.apache.hadoop.hdfs.DistributedFileSystem)
+
+# The following gives an example:
+
+if [[ `uname -a` == Darwin* ]]; then
+  # Assuming Mac OS X
+  export JAVA_HOME=${JAVA_HOME:-$(/usr/libexec/java_home)}
+  export ALLUXIO_RAM_FOLDER=/Volumes/ramdisk
+  export ALLUXIO_JAVA_OPTS="-Djava.security.krb5.realm= -Djava.security.krb5.kdc="
+else
+  # Assuming Linux
+  if [ -z "$JAVA_HOME" ]; then
+    export JAVA_HOME=/usr/lib/jvm/java-7-oracle
+  fi
+  export ALLUXIO_RAM_FOLDER=/mnt/ramdisk
+fi
+
+export JAVA="$JAVA_HOME/bin/java"
+
+echo "Starting alluxio w/ java = $JAVA "
+
+export ALLUXIO_MASTER_ADDRESS=<%= @master_host %>
+export ALLUXIO_UNDERFS_ADDRESS=$ALLUXIO_HOME/underfs
+#export ALLUXIO_UNDERFS_ADDRESS=hdfs://localhost:9000
+export ALLUXIO_WORKER_MEMORY_SIZE=1GB
+export ALLUXIO_UNDERFS_HDFS_IMPL=org.apache.hadoop.hdfs.DistributedFileSystem
+
+echo "ALLUXIO master => $ALLUXIO_MASTER_ADDRESS "
+
+CONF_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+
+export ALLUXIO_JAVA_OPTS+="
+  -Dlog4j.configuration=file:$CONF_DIR/log4j.properties
+  -Dalluxio.debug=false
+  -Dalluxio.underfs.address=$ALLUXIO_UNDERFS_ADDRESS
+  -Dalluxio.underfs.hdfs.impl=$ALLUXIO_UNDERFS_HDFS_IMPL
+  -Dalluxio.data.folder=$ALLUXIO_UNDERFS_ADDRESS/tmp/alluxio/data
+  -Dalluxio.workers.folder=$ALLUXIO_UNDERFS_ADDRESS/tmp/alluxio/workers
+  -Dalluxio.worker.memory.size=$ALLUXIO_WORKER_MEMORY_SIZE
+  -Dalluxio.worker.data.folder=$ALLUXIO_RAM_FOLDER/alluxioworker/
+  -Dalluxio.master.worker.timeout.ms=60000
+  -Dalluxio.master.hostname=$ALLUXIO_MASTER_ADDRESS
+  -Dalluxio.master.journal.folder=$ALLUXIO_HOME/journal/
+  -Dorg.apache.jasper.compiler.disablejsr199=true
+  -Djava.net.preferIPv4Stack=true
+"
+
+# Master specific parameters. Default to ALLUXIO_JAVA_OPTS.
+export ALLUXIO_MASTER_JAVA_OPTS="$ALLUXIO_JAVA_OPTS"
+
+# Worker specific parameters that will be shared to all workers. Default to ALLUXIO_JAVA_OPTS.
+export ALLUXIO_WORKER_JAVA_OPTS="$ALLUXIO_JAVA_OPTS"

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-deploy/puppet/modules/alluxio/templates/log4j.properties
----------------------------------------------------------------------
diff --git a/bigtop-deploy/puppet/modules/alluxio/templates/log4j.properties b/bigtop-deploy/puppet/modules/alluxio/templates/log4j.properties
new file mode 100644
index 0000000..7ef17e6
--- /dev/null
+++ b/bigtop-deploy/puppet/modules/alluxio/templates/log4j.properties
@@ -0,0 +1,55 @@
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# May get overridden by System Property
+alluxio.logger.type=Console
+
+log4j.rootLogger=INFO, ${alluxio.logger.type}
+
+log4j.appender.Console=org.apache.log4j.ConsoleAppender
+log4j.appender.Console.Target=System.out
+log4j.appender.Console.layout=org.apache.log4j.PatternLayout
+log4j.appender.Console.layout.ConversionPattern=%d{ISO8601} %-5p %c{1} (%F:%M) - %m%n
+
+# Appender for Master
+log4j.appender.MASTER_LOGGER=alluxio.Log4jFileAppender
+log4j.appender.MASTER_LOGGER.File=/var/log/alluxio/master.log
+
+log4j.appender.MASTER_LOGGER.MaxFileSize=10
+log4j.appender.MASTER_LOGGER.MaxBackupIndex=100
+log4j.appender.MASTER_LOGGER.DeletionPercentage=10
+log4j.appender.MASTER_LOGGER.layout=org.apache.log4j.PatternLayout
+log4j.appender.MASTER_LOGGER.layout.ConversionPattern=%d{ISO8601} %-5p %c{2} (%F:%M) - %m%n
+#log4j.appender.MASTER_LOGGER.layout.ConversionPattern=%d{ISO8601} %-5p %c{2} (%F:%M(%L)) - %m%n
+
+# Appender for Workers
+log4j.appender.WORKER_LOGGER=alluxio.Log4jFileAppender
+log4j.appender.WORKER_LOGGER.File=/var/log/alluxio/worker.log
+
+log4j.appender.WORKER_LOGGER.MaxFileSize=10
+log4j.appender.WORKER_LOGGER.MaxBackupIndex=100
+log4j.appender.WORKER_LOGGER.DeletionPercentage=10
+log4j.appender.WORKER_LOGGER.layout=org.apache.log4j.PatternLayout
+log4j.appender.WORKER_LOGGER.layout.ConversionPattern=%d{ISO8601} %-5p %c{2} (%F:%M) - %m%n
+#log4j.appender.WORKER_LOGGER.layout.ConversionPattern=%d{ISO8601} %-5p %c{2} (%F:%M(%L)) - %m%n
+
+# Appender for User
+log4j.appender.USER_LOGGER=alluxio.Log4jFileAppender
+log4j.appender.USER_LOGGER.File=/var/log/alluxio/logs/user.log
+log4j.appender.USER_LOGGER.MaxFileSize=10
+log4j.appender.USER_LOGGER.MaxBackupIndex=10
+log4j.appender.USER_LOGGER.DeletionPercentage=20
+log4j.appender.USER_LOGGER.layout=org.apache.log4j.PatternLayout
+log4j.appender.USER_LOGGER.layout.ConversionPattern=%d{ISO8601} %-5p %c{2} (%F:%M) - %m%n
+#log4j.appender.USER_LOGGER.layout.ConversionPattern=%d{ISO8601} %-5p %c{2} (%F:%M(%L)) - %m%n

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-deploy/puppet/modules/tachyon/manifests/init.pp
----------------------------------------------------------------------
diff --git a/bigtop-deploy/puppet/modules/tachyon/manifests/init.pp b/bigtop-deploy/puppet/modules/tachyon/manifests/init.pp
deleted file mode 100644
index ef7e5df..0000000
--- a/bigtop-deploy/puppet/modules/tachyon/manifests/init.pp
+++ /dev/null
@@ -1,79 +0,0 @@
-# The ASF licenses this file to You under the Apache License, Version 2.0
-# (the "License"); you may not use this file except in compliance with
-# the License.  You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-class tachyon {
-
-  class deploy ($roles) {
-    if ("tachyon-master" in $roles) {
-      include tachyon::master
-    }
-
-    if ("tachyon-worker" in $roles) {
-      include tachyon::worker
-    }
-  }
-
-  class common ($master_host){
-    package { "tachyon-tfs":
-      ensure => latest,
-    }
-
-    # add logging into /var/log/..
-    file {
-        "/etc/tachyon/conf/log4j.properties":
-        content => template("tachyon/log4j.properties"),
-        require => [Package["tachyon-tfs"]]
-    }
-
-    # add tachyon-env.sh to point to tachyon master
-    file { "/etc/tachyon/conf/tachyon-env.sh":
-        content => template("tachyon/tachyon-env.sh"),
-        require => [Package["tachyon-tfs"]]
-    }
-  }
-
-  class master {
-    include common
-
-   exec {
-        "tachyon formatting":
-           command => "/usr/lib/tachyon/bin/tachyon format",
-           require => [ Package["tachyon-tfs"], File["/etc/tachyon/conf/log4j.properties"], File["/etc/tachyon/conf/tachyon-env.sh"] ]
-    }
-
-    if ( $fqdn == $tachyon::common::master_host ) {
-      service { "tachyon-master":
-        ensure => running,
-        require => [ Package["tachyon-tfs"], Exec["tachyon formatting"] ],
-        hasrestart => true,
-        hasstatus => true,
-      }
-    }
-
-  }
-
-  class worker {
-    include common
-
-   if ( $fqdn == $tachyon::common::master_host ) {
-      notice("tachyon ---> master host")
-      # We want master to run first in all cases
-      Service["tachyon-master"] ~> Service["tachyon-worker"]
-   }
-
-    service { "tachyon-worker":
-      ensure => running,
-      require => [ Package["tachyon-tfs"], File["/etc/tachyon/conf/log4j.properties"], File["/etc/tachyon/conf/tachyon-env.sh"] ],
-      hasrestart => true,
-      hasstatus => true,
-    }
-  }
-}

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-deploy/puppet/modules/tachyon/templates/log4j.properties
----------------------------------------------------------------------
diff --git a/bigtop-deploy/puppet/modules/tachyon/templates/log4j.properties b/bigtop-deploy/puppet/modules/tachyon/templates/log4j.properties
deleted file mode 100644
index e3c5f04..0000000
--- a/bigtop-deploy/puppet/modules/tachyon/templates/log4j.properties
+++ /dev/null
@@ -1,55 +0,0 @@
-# Licensed to the Apache Software Foundation (ASF) under one or more
-# contributor license agreements.  See the NOTICE file distributed with
-# this work for additional information regarding copyright ownership.
-# The ASF licenses this file to You under the Apache License, Version 2.0
-# (the "License"); you may not use this file except in compliance with
-# the License.  You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-# May get overridden by System Property
-tachyon.logger.type=Console
-
-log4j.rootLogger=INFO, ${tachyon.logger.type}
-
-log4j.appender.Console=org.apache.log4j.ConsoleAppender
-log4j.appender.Console.Target=System.out
-log4j.appender.Console.layout=org.apache.log4j.PatternLayout
-log4j.appender.Console.layout.ConversionPattern=%d{ISO8601} %-5p %c{1} (%F:%M) - %m%n
-
-# Appender for Master
-log4j.appender.MASTER_LOGGER=tachyon.Log4jFileAppender
-log4j.appender.MASTER_LOGGER.File=/var/log/tachyon/master.log
-
-log4j.appender.MASTER_LOGGER.MaxFileSize=10
-log4j.appender.MASTER_LOGGER.MaxBackupIndex=100
-log4j.appender.MASTER_LOGGER.DeletionPercentage=10
-log4j.appender.MASTER_LOGGER.layout=org.apache.log4j.PatternLayout
-log4j.appender.MASTER_LOGGER.layout.ConversionPattern=%d{ISO8601} %-5p %c{2} (%F:%M) - %m%n
-#log4j.appender.MASTER_LOGGER.layout.ConversionPattern=%d{ISO8601} %-5p %c{2} (%F:%M(%L)) - %m%n
-
-# Appender for Workers
-log4j.appender.WORKER_LOGGER=tachyon.Log4jFileAppender
-log4j.appender.WORKER_LOGGER.File=/var/log/tachyon/worker.log
-
-log4j.appender.WORKER_LOGGER.MaxFileSize=10
-log4j.appender.WORKER_LOGGER.MaxBackupIndex=100
-log4j.appender.WORKER_LOGGER.DeletionPercentage=10
-log4j.appender.WORKER_LOGGER.layout=org.apache.log4j.PatternLayout
-log4j.appender.WORKER_LOGGER.layout.ConversionPattern=%d{ISO8601} %-5p %c{2} (%F:%M) - %m%n
-#log4j.appender.WORKER_LOGGER.layout.ConversionPattern=%d{ISO8601} %-5p %c{2} (%F:%M(%L)) - %m%n
-
-# Appender for User
-log4j.appender.USER_LOGGER=tachyon.Log4jFileAppender
-log4j.appender.USER_LOGGER.File=/var/log/tachyon/logs/user.log
-log4j.appender.USER_LOGGER.MaxFileSize=10
-log4j.appender.USER_LOGGER.MaxBackupIndex=10
-log4j.appender.USER_LOGGER.DeletionPercentage=20
-log4j.appender.USER_LOGGER.layout=org.apache.log4j.PatternLayout
-log4j.appender.USER_LOGGER.layout.ConversionPattern=%d{ISO8601} %-5p %c{2} (%F:%M) - %m%n
-#log4j.appender.USER_LOGGER.layout.ConversionPattern=%d{ISO8601} %-5p %c{2} (%F:%M(%L)) - %m%n

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-deploy/puppet/modules/tachyon/templates/tachyon-env.sh
----------------------------------------------------------------------
diff --git a/bigtop-deploy/puppet/modules/tachyon/templates/tachyon-env.sh b/bigtop-deploy/puppet/modules/tachyon/templates/tachyon-env.sh
deleted file mode 100755
index e3a5fb1..0000000
--- a/bigtop-deploy/puppet/modules/tachyon/templates/tachyon-env.sh
+++ /dev/null
@@ -1,78 +0,0 @@
-#!/usr/bin/env bash
-# Licensed to the Apache Software Foundation (ASF) under one or more
-# contributor license agreements.  See the NOTICE file distributed with
-# this work for additional information regarding copyright ownership.
-# The ASF licenses this file to You under the Apache License, Version 2.0
-# (the "License"); you may not use this file except in compliance with
-# the License.  You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-# This file contains environment variables required to run Tachyon. Copy it as tachyon-env.sh and
-# edit that to configure Tachyon for your site. At a minimum,
-# the following variables should be set:
-#
-# - JAVA_HOME, to point to your JAVA installation
-# - TACHYON_MASTER_ADDRESS, to bind the master to a different IP address or hostname
-# - TACHYON_UNDERFS_ADDRESS, to set the under filesystem address.
-# - TACHYON_WORKER_MEMORY_SIZE, to set how much memory to use (e.g. 1000mb, 2gb) per worker
-# - TACHYON_RAM_FOLDER, to set where worker stores in memory data
-# - TACHYON_UNDERFS_HDFS_IMPL, to set which HDFS implementation to use (e.g. com.mapr.fs.MapRFileSystem,
-#   org.apache.hadoop.hdfs.DistributedFileSystem)
-
-# The following gives an example:
-
-if [[ `uname -a` == Darwin* ]]; then
-  # Assuming Mac OS X
-  export JAVA_HOME=${JAVA_HOME:-$(/usr/libexec/java_home)}
-  export TACHYON_RAM_FOLDER=/Volumes/ramdisk
-  export TACHYON_JAVA_OPTS="-Djava.security.krb5.realm= -Djava.security.krb5.kdc="
-else
-  # Assuming Linux
-  if [ -z "$JAVA_HOME" ]; then
-    export JAVA_HOME=/usr/lib/jvm/java-7-oracle
-  fi
-  export TACHYON_RAM_FOLDER=/mnt/ramdisk
-fi
-
-export JAVA="$JAVA_HOME/bin/java"
-
-echo "Starting tachyon w/ java = $JAVA "
-
-export TACHYON_MASTER_ADDRESS=<%= @master_host %>
-export TACHYON_UNDERFS_ADDRESS=$TACHYON_HOME/underfs
-#export TACHYON_UNDERFS_ADDRESS=hdfs://localhost:9000
-export TACHYON_WORKER_MEMORY_SIZE=1GB
-export TACHYON_UNDERFS_HDFS_IMPL=org.apache.hadoop.hdfs.DistributedFileSystem
-
-echo "TACHYON master => $TACHYON_MASTER_ADDRESS "
-
-CONF_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
-
-export TACHYON_JAVA_OPTS+="
-  -Dlog4j.configuration=file:$CONF_DIR/log4j.properties
-  -Dtachyon.debug=false
-  -Dtachyon.underfs.address=$TACHYON_UNDERFS_ADDRESS
-  -Dtachyon.underfs.hdfs.impl=$TACHYON_UNDERFS_HDFS_IMPL
-  -Dtachyon.data.folder=$TACHYON_UNDERFS_ADDRESS/tmp/tachyon/data
-  -Dtachyon.workers.folder=$TACHYON_UNDERFS_ADDRESS/tmp/tachyon/workers
-  -Dtachyon.worker.memory.size=$TACHYON_WORKER_MEMORY_SIZE
-  -Dtachyon.worker.data.folder=$TACHYON_RAM_FOLDER/tachyonworker/
-  -Dtachyon.master.worker.timeout.ms=60000
-  -Dtachyon.master.hostname=$TACHYON_MASTER_ADDRESS
-  -Dtachyon.master.journal.folder=$TACHYON_HOME/journal/
-  -Dorg.apache.jasper.compiler.disablejsr199=true
-  -Djava.net.preferIPv4Stack=true
-"
-
-# Master specific parameters. Default to TACHYON_JAVA_OPTS.
-export TACHYON_MASTER_JAVA_OPTS="$TACHYON_JAVA_OPTS"
-
-# Worker specific parameters that will be shared to all workers. Default to TACHYON_JAVA_OPTS.
-export TACHYON_WORKER_JAVA_OPTS="$TACHYON_JAVA_OPTS"

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-deploy/vm/vagrant-puppet-vm/README.md
----------------------------------------------------------------------
diff --git a/bigtop-deploy/vm/vagrant-puppet-vm/README.md b/bigtop-deploy/vm/vagrant-puppet-vm/README.md
index 2b21a70..ed06eca 100644
--- a/bigtop-deploy/vm/vagrant-puppet-vm/README.md
+++ b/bigtop-deploy/vm/vagrant-puppet-vm/README.md
@@ -59,7 +59,7 @@ num_instances: 5
 first, build up local yum repo
 
 ```
-cd bigtop; ./gradlew tachyon-yum
+cd bigtop; ./gradlew alluxio-yum
 ```
 
 and then enable local yum in vagrantconfig.yaml

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-packages/src/common/alluxio/alluxio-master.svc
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/common/alluxio/alluxio-master.svc b/bigtop-packages/src/common/alluxio/alluxio-master.svc
new file mode 100644
index 0000000..684468b
--- /dev/null
+++ b/bigtop-packages/src/common/alluxio/alluxio-master.svc
@@ -0,0 +1,72 @@
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+TYPE="master"
+DAEMON="alluxio-${TYPE}"
+DESC="Alluxio ${TYPE}"
+EXEC_PATH="/usr/lib/alluxio/bin/alluxio-start.sh"
+WORKING_DIR="/var/lib/alluxio"
+DAEMON_FLAGS="master Mount"
+KEYWORD="alluxio.master.AlluxioMaster"
+CONF_DIR="/etc/alluxio/conf"
+PIDFILE="/var/run/alluxio/${DAEMON}.pid"
+
+generate_start() {
+
+cat <<'__EOT__'
+start() {
+    [ -x $EXE_FILE ] || exit $ERROR_PROGRAM_NOT_INSTALLED
+    log_success_msg "Starting $DESC (${DAEMON}): "
+
+    checkstatusofproc
+    status=$?
+    if [ "$status" -eq "$STATUS_RUNNING" ]; then
+        log_success_msg "${DESC} is running"
+        exit 0
+    fi
+
+    LOG_FILE=/var/log/alluxio/${DAEMON}.out
+
+    /bin/bash -c "nohup nice -n 0 \
+        ${EXEC_PATH} ${DAEMON_FLAGS} \
+        > $LOG_FILE 2>&1 & "
+
+    sleep 3
+
+    echo `ps -A -o pid,command | grep -i "[j]ava" | grep $KEYWORD | awk '{print $1}'` > $PIDFILE
+
+    checkstatusofproc
+    RETVAL=$?
+    [ $RETVAL -eq $STATUS_RUNNING ] && touch $LOCKFILE
+    return $RETVAL
+}
+__EOT__
+
+}
+
+generate_stop() {
+
+cat <<'__EOT__'
+stop() {
+    log_success_msg "Stopping $DESC (${DAEMON}): "
+    /usr/lib/alluxio/bin/alluxio-stop.sh master 2>&1 > /dev/null
+    RETVAL=$?
+
+    [ $RETVAL -eq $RETVAL_SUCCESS ] && rm -f $LOCKFILE $PIDFILE
+    return $RETVAL
+}
+__EOT__
+
+}

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-packages/src/common/alluxio/alluxio-worker.svc
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/common/alluxio/alluxio-worker.svc b/bigtop-packages/src/common/alluxio/alluxio-worker.svc
new file mode 100644
index 0000000..ca6dc8d
--- /dev/null
+++ b/bigtop-packages/src/common/alluxio/alluxio-worker.svc
@@ -0,0 +1,76 @@
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+TYPE="worker"
+DAEMON="alluxio-${TYPE}"
+DESC="Alluxio ${TYPE}"
+EXEC_PATH="/usr/lib/alluxio/bin/alluxio-start.sh"
+WORKING_DIR="/var/lib/alluxio"
+DAEMON_FLAGS="worker Mount"
+KEYWORD="alluxio.worker.AlluxioWorker"
+CONF_DIR="/etc/alluxio/conf"
+PIDFILE="/var/run/alluxio/${DAEMON}.pid"
+
+generate_start() {
+
+cat <<'__EOT__'
+start() {
+    [ -x $EXE_FILE ] || exit $ERROR_PROGRAM_NOT_INSTALLED
+    log_success_msg "Starting $DESC (${DAEMON}): "
+
+    checkstatusofproc
+    status=$?
+    if [ "$status" -eq "$STATUS_RUNNING" ]; then
+        log_success_msg "${DESC} is running"
+        exit 0
+    fi
+
+    LOG_FILE=/var/log/alluxio/${DAEMON}.out
+
+    if [ -f $CONF_DIR/alluxio-env.sh ]; then
+        . $CONF_DIR/alluxio-env.sh
+    fi
+
+    /bin/bash -c "nohup nice -n 0 \
+        ${EXEC_PATH} ${DAEMON_FLAGS} \
+        > $LOG_FILE 2>&1 & "
+
+    sleep 3
+
+    echo `ps -A -o pid,command | grep -i "[j]ava" | grep $KEYWORD | awk '{print $1}'` > $PIDFILE
+
+    checkstatusofproc
+    RETVAL=$?
+    [ $RETVAL -eq $STATUS_RUNNING ] && touch $LOCKFILE
+    return $RETVAL
+}
+__EOT__
+
+}
+
+generate_stop() {
+
+cat <<'__EOT__'
+stop() {
+    log_success_msg "Stopping $DESC (${DAEMON}): "
+    /usr/lib/alluxio/bin/alluxio-stop.sh worker 2>&1 > /dev/null
+    RETVAL=$?
+
+    [ $RETVAL -eq $RETVAL_SUCCESS ] && rm -f $LOCKFILE $PIDFILE
+    return $RETVAL
+}
+__EOT__
+
+}

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-packages/src/common/alluxio/do-component-build
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/common/alluxio/do-component-build b/bigtop-packages/src/common/alluxio/do-component-build
new file mode 100644
index 0000000..3d57824
--- /dev/null
+++ b/bigtop-packages/src/common/alluxio/do-component-build
@@ -0,0 +1,24 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -ex
+
+. `dirname $0`/bigtop.bom
+
+t="hadoop.version"
+sed -i "s#<$t>.*</$t>#<$t>${HADOOP_VERSION}</$t>#" pom.xml
+
+mvn clean install -DskipTests -Pspark -Pyarn "$@"

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-packages/src/common/alluxio/init.d.tmpl
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/common/alluxio/init.d.tmpl b/bigtop-packages/src/common/alluxio/init.d.tmpl
new file mode 100755
index 0000000..bf286da
--- /dev/null
+++ b/bigtop-packages/src/common/alluxio/init.d.tmpl
@@ -0,0 +1,315 @@
+#!/bin/bash
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# This is a poor man's templating engine for generating init.d scripts to
+# support all the Apache services that Bigtop distro has. An actual init.d
+# script gets generate via running this script under bash and giving it
+# a mandatory argument of a file containing the configuration for the service.
+# The argument file should be a valid piece of bash code since it gets directly
+# source into this template. E.g.
+#    $ bash ./init.d.tmpl hadoop-hdfs-namenode.svc rpm hadoop-hdfs-namenode
+#
+# You must declare the following in your .svc configuration file:
+#     DAEMON="name of the resulting init.d script"
+#     DESC="Free form human readable description of the service"
+#     EXEC_PATH="path to the upstream daemon management script"
+#     SVC_USER="user to run this service as"
+#     DAEMON_FLAGS="flags to be passed to the $EXEC_PATH"
+#     KEYWORD="keyword to determine the Alluxio daemon"
+#     WORKING_DIR="working directory to cd into before starting the daemon"
+#     CONF_DIR="path to the configuration directory"
+#     PIDFILE="file holding a PID of the running daemon"
+#     LOCKFILE="file signifying the service lock"
+#
+#     CHKCONFIG="chkconfig(8) registration signature"
+#     INIT_DEFAULT_START="run levels to use"
+#     INIT_DEFAULT_STOP="run levels not to use ;-)"
+#
+# You can, also, override parts of the generated init.d script by providing
+# function definitions for: generate_start, generate_stop, generate_functions, and generate_extra_commands.
+# See the default implemenations below and feel free to customize. Also look
+# for exising .svc files in common to see how different services are tweaking
+# the defaults.
+#
+# Of course, if this whole templating thing grows too big we might need to
+# consider a real templating engine (I have played with m4, but it seems
+# qutie brittle when used for manipulating pieces of the shell code -- think
+# $0 the like).
+
+if [ $# -lt 3 ] ; then
+  echo "Usage: ${BASH_SOURCE-0} service.definition.svc rpm|deb init.d.script"
+  exit 1
+fi
+
+# Override anything necessary for supported systems
+case "$2" in
+  "deb" )
+    # The defaults will work well on Debian-based systems
+    ;;
+  "rpm" )
+    # On RedHat, SuSE and Mageia run-level 2 is networkless, hence excluding it
+    CHKCONFIG="345 85 15"
+    INIT_DEFAULT_START="3 4 5"
+    INIT_DEFAULT_STOP="0 1 2 6"
+    ;;
+  "*" )
+    ;;
+esac
+
+# Create the init script, make it executable, and send stdout to it
+mkdir -p `dirname $3`
+touch $3
+chmod 0755 $3
+exec > $3
+
+generate_start() {
+
+cat <<'__EOT__'
+
+start() {
+  [ -x $EXEC_PATH ] || exit $ERROR_PROGRAM_NOT_INSTALLED
+  [ -d $CONF_DIR ] || exit $ERROR_PROGRAM_NOT_CONFIGURED
+
+  su -s /bin/bash $SVC_USER -c "cd $WORKING_DIR && $EXEC_PATH --config '$CONF_DIR' start $DAEMON_FLAGS"
+
+  # Some processes are slow to start
+  sleep $SLEEP_TIME
+  checkstatusofproc
+  RETVAL=$?
+
+  if [ $RETVAL -eq $STATUS_RUNNING ]; then
+    touch $LOCKFILE
+    log_success_msg "Started ${DESC}: "
+  else
+	log_failure_msg "Failed to start ${DESC}. Return value: $RETVAL"
+  fi
+  return $RETVAL
+}
+
+__EOT__
+
+}
+
+generate_stop() {
+
+cat <<'__EOT__'
+
+stop() {
+  start_daemon $EXEC_PATH --config "$CONF_DIR" stop $DAEMON_FLAGS
+  RETVAL=$?
+
+  if [ $RETVAL -eq $RETVAL_SUCCESS ]; then
+	 log_success_msg "Stopped ${DESC}: "
+	 rm -f $LOCKFILE $PIDFILE
+ else
+	 log_failure_msg "Failed to stop ${DESC}. Return value: $RETVAL."
+ fi
+}
+
+__EOT__
+
+}
+
+generate_functions() {
+    :
+}
+
+generate_extra_commands() {
+
+cat <<'__EOT__'
+    *)
+      echo $"Usage: $0 {start|stop|status|restart|try-restart|condrestart}"
+      exit 1
+__EOT__
+
+}
+
+###################################################################
+# Some reasonable defaults for the run-level settings, these are
+# tweaked on a per-OS basis from the SPEC/rules files that call us
+# and can be further tweaked inside of individual .svc templates
+CHKCONFIG=${CHKCONFIG:-"2345 85 15"}
+INIT_DEFAULT_START=${INIT_DEFAULT_START:-"2 3 4 5"}
+INIT_DEFAULT_STOP=${INIT_DEFAULT_STOP:-"0 1 6"}
+
+###################################################################
+# NOTE how we are sourcing the argument here so that a user-defined
+# settings have a chance to override the default values for
+# generate_start, generate_stop, generate_functions and generate_extra_commands. If you
+# ever want to make this template even more flexible -- define the
+# default values above this line
+. $1
+
+cat <<__EOT__
+#!/bin/bash
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# Starts a $DESC
+#
+# chkconfig: $CHKCONFIG
+# description: $DESC
+#
+### BEGIN INIT INFO
+# Provides:          $DAEMON
+# Short-Description: $DESC
+# Default-Start:     $INIT_DEFAULT_START
+# Default-Stop:      $INIT_DEFAULT_STOP
+# Required-Start:    \$syslog \$remote_fs
+# Required-Stop:     \$syslog \$remote_fs
+# Should-Start:
+# Should-Stop:
+### END INIT INFO
+
+. /lib/lsb/init-functions
+BIGTOP_DEFAULTS_DIR=\${BIGTOP_DEFAULTS_DIR-/etc/default}
+[ -n "\${BIGTOP_DEFAULTS_DIR}" -a -r \${BIGTOP_DEFAULTS_DIR}/hadoop ] && . \${BIGTOP_DEFAULTS_DIR}/hadoop
+[ -n "\${BIGTOP_DEFAULTS_DIR}" -a -r \${BIGTOP_DEFAULTS_DIR}/$DAEMON ] && . \${BIGTOP_DEFAULTS_DIR}/$DAEMON
+
+# Autodetect JAVA_HOME if not defined
+. /usr/lib/bigtop-utils/bigtop-detect-javahome
+
+RETVAL_SUCCESS=0
+
+STATUS_RUNNING=0
+STATUS_DEAD=1
+STATUS_DEAD_AND_LOCK=2
+STATUS_NOT_RUNNING=3
+STATUS_OTHER_ERROR=102
+
+
+ERROR_PROGRAM_NOT_INSTALLED=5
+ERROR_PROGRAM_NOT_CONFIGURED=6
+
+
+RETVAL=0
+SLEEP_TIME=5
+PROC_NAME="java"
+
+DAEMON="$DAEMON"
+DESC="$DESC"
+EXEC_PATH="$EXEC_PATH"
+SVC_USER="$SVC_USER"
+DAEMON_FLAGS="$DAEMON_FLAGS"
+KEYWORD="$KEYWORD"
+CONF_DIR="$CONF_DIR"
+PIDFILE="$PIDFILE"
+LOCKDIR="/var/lock/subsys"
+LOCKFILE="\$LOCKDIR/$DAEMON"
+WORKING_DIR="${WORKING_DIR:-~/}"
+
+install -d -m 0755 -o $SVC_USER -g $SVC_USER $(dirname $PIDFILE) 1>/dev/null 2>&1 || :
+[ -d "\$LOCKDIR" ] || install -d -m 0755 \$LOCKDIR 1>/dev/null 2>&1 || :
+__EOT__
+
+generate_functions
+generate_start
+generate_stop
+
+cat <<'__EOT__'
+restart() {
+  stop
+  start
+}
+
+checkstatusofproc(){
+  pidofproc -p $PIDFILE $PROC_NAME > /dev/null
+}
+
+checkstatus(){
+  checkstatusofproc
+  status=$?
+
+  case "$status" in
+    $STATUS_RUNNING)
+      log_success_msg "${DESC} is running"
+      ;;
+    $STATUS_DEAD)
+      log_failure_msg "${DESC} is dead and pid file exists"
+      ;;
+    $STATUS_DEAD_AND_LOCK)
+      log_failure_msg "${DESC} is dead and lock file exists"
+      ;;
+    $STATUS_NOT_RUNNING)
+      log_failure_msg "${DESC} is not running"
+      ;;
+    *)
+      log_failure_msg "${DESC} status is unknown"
+      ;;
+  esac
+  return $status
+}
+
+condrestart(){
+  [ -e $LOCKFILE ] && restart || :
+}
+
+check_for_root() {
+  if [ $(id -ur) -ne 0 ]; then
+    echo 'Error: root user required'
+    echo
+    exit 1
+  fi
+}
+
+service() {
+  case "$1" in
+    start)
+      check_for_root
+      start
+      ;;
+    stop)
+      check_for_root
+      stop
+      ;;
+    status)
+      checkstatus
+      RETVAL=$?
+      ;;
+    restart)
+      check_for_root
+      restart
+      ;;
+    condrestart|try-restart)
+      check_for_root
+      condrestart
+      ;;
+__EOT__
+
+generate_extra_commands
+
+cat <<'__EOT__'
+  esac
+}
+
+service "$1"
+
+exit $RETVAL
+__EOT__

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-packages/src/common/alluxio/install_alluxio.sh
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/common/alluxio/install_alluxio.sh b/bigtop-packages/src/common/alluxio/install_alluxio.sh
new file mode 100644
index 0000000..1ef7b1d
--- /dev/null
+++ b/bigtop-packages/src/common/alluxio/install_alluxio.sh
@@ -0,0 +1,159 @@
+#!/bin/bash
+
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -ex
+
+usage() {
+  echo "
+usage: $0 <options>
+  Required not-so-options:
+     --build-dir=DIR             path to Alluxio dist.dir
+     --prefix=PREFIX             path to install into
+
+  Optional options:
+     --bin-dir=DIR               path to install bin
+     --data-dir=DIR              path to install local Alluxio data
+     ... [ see source for more similar options ]
+  "
+  exit 1
+}
+
+OPTS=$(getopt \
+  -n $0 \
+  -o '' \
+  -l 'prefix:' \
+  -l 'bin-dir:' \
+  -l 'libexec-dir:' \
+  -l 'var-dir:' \
+  -l 'lib-dir:' \
+  -l 'data-dir:' \
+  -l 'build-dir:' -- "$@")
+
+if [ $? != 0 ] ; then
+    usage
+fi
+
+eval set -- "$OPTS"
+while true ; do
+    case "$1" in
+        --prefix)
+        PREFIX=$2 ; shift 2
+        ;;
+        --build-dir)
+        BUILD_DIR=$2 ; shift 2
+        ;;
+        --libexec-dir)
+        LIBEXEC_DIR=$2 ; shift 2
+        ;;
+        --lib-dir)
+        LIB_DIR=$2 ; shift 2
+        ;;
+        --bin-dir)
+        BIN_DIR=$2 ; shift 2
+        ;;
+        --var-dir)
+        VAR_DIR=$2 ; shift 2
+        ;;
+        --data-dir)
+        DATA_DIR=$2 ; shift 2
+        ;;
+        --)
+        shift ; break
+        ;;
+        *)
+        echo "Unknown option: $1"
+        usage
+        exit 1
+        ;;
+    esac
+done
+
+for var in PREFIX BUILD_DIR ; do
+  if [ -z "$(eval "echo \$$var")" ]; then
+    echo Missing param: $var
+    usage
+  fi
+done
+
+LIB_DIR=${LIB_DIR:-/usr/lib/alluxio}
+LIBEXEC_DIR=${INSTALLED_LIB_DIR:-/usr/libexec}
+BIN_DIR=${BIN_DIR:-/usr/bin}
+
+install -d -m 0755 $PREFIX/$LIB_DIR
+install -d -m 0755 $PREFIX/$LIB_DIR/bin
+install -d -m 0755 $PREFIX/$LIB_DIR/libexec
+install -d -m 0755 $PREFIX/$LIB_DIR/lib
+install -d -m 0755 $PREFIX/$LIB_DIR/share
+install -d -m 0755 $PREFIX/$DATA_DIR
+install -d -m 0755 $PREFIX/$DATA_DIR/alluxio
+install -d -m 0755 $PREFIX/etc
+install -d -m 0755 $PREFIX/etc/alluxio
+install -d -m 0755 $PREFIX/etc/alluxio/conf
+install -d -m 0755 $PREFIX/$VAR_DIR/log/alluxio
+install -d -m 0755 $PREFIX/$VAR_DIR/lib/alluxio/journal
+install -d -m 0755 $PREFIX/$VAR_DIR/lib/alluxio/core/server/src/main/webapp
+ln -s $VAR_DIR/log/alluxio $PREFIX/$VAR_DIR/lib/alluxio/logs
+install -d -m 0755 $PREFIX/$VAR_DIR/run/alluxio
+
+cp assembly/target/alluxio*dependencies.jar core/client/target/alluxio*dependencies.jar $PREFIX/$LIB_DIR
+cp -a bin/* $PREFIX/${LIB_DIR}/bin
+cp -a libexec/* $PREFIX/${LIB_DIR}/libexec
+cp -rf core/server/src/main/webapp $PREFIX/$VAR_DIR/lib/alluxio/core/server/src/main
+
+# Copy in the configuration files
+install -m 0644 conf/log4j.properties $PREFIX/etc/alluxio/conf
+cp conf/alluxio-env.sh.template $PREFIX/etc/alluxio/conf/alluxio-env.sh
+
+# Copy in the /usr/bin/alluxio wrapper
+install -d -m 0755 $PREFIX/$BIN_DIR
+
+# Copy in alluxio deploy scripts
+cp -rf deploy $PREFIX/$LIB_DIR/share
+
+# Prefix is correct at time of install,
+# but we dont want to escape it before that point.
+cat > $PREFIX/$BIN_DIR/alluxio <<EOF
+#!/bin/bash
+
+# Autodetect JAVA_HOME if not defined
+. /usr/lib/bigtop-utils/bigtop-detect-javahome
+# Lib dir => ${LIB_DIR}
+#!/usr/bin/env bash
+exec ${LIB_DIR}/bin/alluxio "\$@"
+EOF
+chmod 755 $PREFIX/$BIN_DIR/alluxio
+
+cat >$PREFIX/$LIB_DIR/libexec/alluxio-layout.sh <<EOF
+#!/usr/bin/env bash
+
+export ALLUXIO_SYSTEM_INSTALLATION="TRUE"
+export ALLUXIO_PREFIX="$LIB_DIR"
+export ALLUXIO_HOME="/var/lib/alluxio"
+export ALLUXIO_CONF_DIR="/etc/alluxio/conf"
+export ALLUXIO_LOGS_DIR="/var/log/alluxio"
+export ALLUXIO_DATA_DIR="/var/run/alluxio"
+export ALLUXIO_JARS="\`find $LIB_DIR/ -name alluxio*dependencies.jar|grep -v client\`"
+
+# find JAVA_HOME
+. /usr/lib/bigtop-utils/bigtop-detect-javahome
+
+if [ -z "JAVA_HOME" ]; then
+  export JAVA="/usr/bin/java"
+else
+  export JAVA="\$JAVA_HOME/bin/java"
+fi
+EOF

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-packages/src/common/alluxio/patch0-fix-license-check.diff
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/common/alluxio/patch0-fix-license-check.diff b/bigtop-packages/src/common/alluxio/patch0-fix-license-check.diff
new file mode 100644
index 0000000..f732488
--- /dev/null
+++ b/bigtop-packages/src/common/alluxio/patch0-fix-license-check.diff
@@ -0,0 +1,24 @@
+From 5f0542f2f39b86cfc534a5f37953d1aa27cddaef Mon Sep 17 00:00:00 2001
+From: Jonathan Kelly <jonathak@amazon.com>
+Date: Mon, 2 May 2016 15:54:58 -0700
+Subject: [PATCH] tmp
+
+---
+ pom.xml | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/pom.xml b/pom.xml
+index 69921f9..89ca5a7 100644
+--- a/pom.xml
++++ b/pom.xml
+@@ -500,6 +500,7 @@
+ 
+             <!-- Build and Packaging Exclusions -->
+             <exclude>build/**/*</exclude>
++            <exclude>debian/**/*</exclude>
+             <exclude>**/pom.xml</exclude>
+             <exclude>**/logs/*</exclude>
+             <exclude>**/deploy/**/*</exclude>
+-- 
+2.6.4 (Apple Git-63)
+

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-packages/src/common/tachyon/do-component-build
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/common/tachyon/do-component-build b/bigtop-packages/src/common/tachyon/do-component-build
deleted file mode 100644
index 9c50834..0000000
--- a/bigtop-packages/src/common/tachyon/do-component-build
+++ /dev/null
@@ -1,21 +0,0 @@
-#!/bin/bash
-# Licensed to the Apache Software Foundation (ASF) under one or more
-# contributor license agreements.  See the NOTICE file distributed with
-# this work for additional information regarding copyright ownership.
-# The ASF licenses this file to You under the Apache License, Version 2.0
-# (the "License"); you may not use this file except in compliance with
-# the License.  You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-set -ex
-
-. `dirname $0`/bigtop.bom
-
-mvn -q clean install -DskipTests -Dhadoop.version=$HADOOP_VERSION "$@"

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-packages/src/common/tachyon/init.d.tmpl
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/common/tachyon/init.d.tmpl b/bigtop-packages/src/common/tachyon/init.d.tmpl
deleted file mode 100755
index 24b1add..0000000
--- a/bigtop-packages/src/common/tachyon/init.d.tmpl
+++ /dev/null
@@ -1,315 +0,0 @@
-#!/bin/bash
-#
-# Licensed to the Apache Software Foundation (ASF) under one or more
-# contributor license agreements.  See the NOTICE file distributed with
-# this work for additional information regarding copyright ownership.
-# The ASF licenses this file to You under the Apache License, Version 2.0
-# (the "License"); you may not use this file except in compliance with
-# the License.  You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-# This is a poor man's templating engine for generating init.d scripts to
-# support all the Apache services that Bigtop distro has. An actual init.d
-# script gets generate via running this script under bash and giving it
-# a mandatory argument of a file containing the configuration for the service.
-# The argument file should be a valid piece of bash code since it gets directly
-# source into this template. E.g.
-#    $ bash ./init.d.tmpl hadoop-hdfs-namenode.svc rpm hadoop-hdfs-namenode
-#
-# You must declare the following in your .svc configuration file:
-#     DAEMON="name of the resulting init.d script"
-#     DESC="Free form human readable description of the service"
-#     EXEC_PATH="path to the upstream daemon management script"
-#     SVC_USER="user to run this service as"
-#     DAEMON_FLAGS="flags to be passed to the $EXEC_PATH"
-#     KEYWORD="keyword to determine the Tachyon daemon"
-#     WORKING_DIR="working directory to cd into before starting the daemon"
-#     CONF_DIR="path to the configuration directory"
-#     PIDFILE="file holding a PID of the running daemon"
-#     LOCKFILE="file signifying the service lock"
-#
-#     CHKCONFIG="chkconfig(8) registration signature"
-#     INIT_DEFAULT_START="run levels to use"
-#     INIT_DEFAULT_STOP="run levels not to use ;-)"
-#
-# You can, also, override parts of the generated init.d script by providing
-# function definitions for: generate_start, generate_stop, generate_functions, and generate_extra_commands.
-# See the default implemenations below and feel free to customize. Also look
-# for exising .svc files in common to see how different services are tweaking
-# the defaults.
-#
-# Of course, if this whole templating thing grows too big we might need to
-# consider a real templating engine (I have played with m4, but it seems
-# qutie brittle when used for manipulating pieces of the shell code -- think
-# $0 the like).
-
-if [ $# -lt 3 ] ; then
-  echo "Usage: ${BASH_SOURCE-0} service.definition.svc rpm|deb init.d.script"
-  exit 1
-fi
-
-# Override anything necessary for supported systems
-case "$2" in
-  "deb" )
-    # The defaults will work well on Debian-based systems
-    ;;
-  "rpm" )
-    # On RedHat, SuSE and Mageia run-level 2 is networkless, hence excluding it
-    CHKCONFIG="345 85 15"
-    INIT_DEFAULT_START="3 4 5"
-    INIT_DEFAULT_STOP="0 1 2 6"
-    ;;
-  "*" )
-    ;;
-esac
-
-# Create the init script, make it executable, and send stdout to it
-mkdir -p `dirname $3`
-touch $3
-chmod 0755 $3
-exec > $3
-
-generate_start() {
-
-cat <<'__EOT__'
-
-start() {
-  [ -x $EXEC_PATH ] || exit $ERROR_PROGRAM_NOT_INSTALLED
-  [ -d $CONF_DIR ] || exit $ERROR_PROGRAM_NOT_CONFIGURED
-
-  su -s /bin/bash $SVC_USER -c "cd $WORKING_DIR && $EXEC_PATH --config '$CONF_DIR' start $DAEMON_FLAGS"
-
-  # Some processes are slow to start
-  sleep $SLEEP_TIME
-  checkstatusofproc
-  RETVAL=$?
-
-  if [ $RETVAL -eq $STATUS_RUNNING ]; then
-    touch $LOCKFILE
-    log_success_msg "Started ${DESC}: "
-  else
-	log_failure_msg "Failed to start ${DESC}. Return value: $RETVAL"
-  fi
-  return $RETVAL
-}
-
-__EOT__
-
-}
-
-generate_stop() {
-
-cat <<'__EOT__'
-
-stop() {
-  start_daemon $EXEC_PATH --config "$CONF_DIR" stop $DAEMON_FLAGS
-  RETVAL=$?
-
-  if [ $RETVAL -eq $RETVAL_SUCCESS ]; then
-	 log_success_msg "Stopped ${DESC}: "
-	 rm -f $LOCKFILE $PIDFILE
- else
-	 log_failure_msg "Failed to stop ${DESC}. Return value: $RETVAL."
- fi
-}
-
-__EOT__
-
-}
-
-generate_functions() {
-    :
-}
-
-generate_extra_commands() {
-
-cat <<'__EOT__'
-    *)
-      echo $"Usage: $0 {start|stop|status|restart|try-restart|condrestart}"
-      exit 1
-__EOT__
-
-}
-
-###################################################################
-# Some reasonable defaults for the run-level settings, these are
-# tweaked on a per-OS basis from the SPEC/rules files that call us
-# and can be further tweaked inside of individual .svc templates
-CHKCONFIG=${CHKCONFIG:-"2345 85 15"}
-INIT_DEFAULT_START=${INIT_DEFAULT_START:-"2 3 4 5"}
-INIT_DEFAULT_STOP=${INIT_DEFAULT_STOP:-"0 1 6"}
-
-###################################################################
-# NOTE how we are sourcing the argument here so that a user-defined
-# settings have a chance to override the default values for
-# generate_start, generate_stop, generate_functions and generate_extra_commands. If you
-# ever want to make this template even more flexible -- define the
-# default values above this line
-. $1
-
-cat <<__EOT__
-#!/bin/bash
-#
-# Licensed to the Apache Software Foundation (ASF) under one or more
-# contributor license agreements.  See the NOTICE file distributed with
-# this work for additional information regarding copyright ownership.
-# The ASF licenses this file to You under the Apache License, Version 2.0
-# (the "License"); you may not use this file except in compliance with
-# the License.  You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-#
-# Starts a $DESC
-#
-# chkconfig: $CHKCONFIG
-# description: $DESC
-#
-### BEGIN INIT INFO
-# Provides:          $DAEMON
-# Short-Description: $DESC
-# Default-Start:     $INIT_DEFAULT_START
-# Default-Stop:      $INIT_DEFAULT_STOP
-# Required-Start:    \$syslog \$remote_fs
-# Required-Stop:     \$syslog \$remote_fs
-# Should-Start:
-# Should-Stop:
-### END INIT INFO
-
-. /lib/lsb/init-functions
-BIGTOP_DEFAULTS_DIR=\${BIGTOP_DEFAULTS_DIR-/etc/default}
-[ -n "\${BIGTOP_DEFAULTS_DIR}" -a -r \${BIGTOP_DEFAULTS_DIR}/hadoop ] && . \${BIGTOP_DEFAULTS_DIR}/hadoop
-[ -n "\${BIGTOP_DEFAULTS_DIR}" -a -r \${BIGTOP_DEFAULTS_DIR}/$DAEMON ] && . \${BIGTOP_DEFAULTS_DIR}/$DAEMON
-
-# Autodetect JAVA_HOME if not defined
-. /usr/lib/bigtop-utils/bigtop-detect-javahome
-
-RETVAL_SUCCESS=0
-
-STATUS_RUNNING=0
-STATUS_DEAD=1
-STATUS_DEAD_AND_LOCK=2
-STATUS_NOT_RUNNING=3
-STATUS_OTHER_ERROR=102
-
-
-ERROR_PROGRAM_NOT_INSTALLED=5
-ERROR_PROGRAM_NOT_CONFIGURED=6
-
-
-RETVAL=0
-SLEEP_TIME=5
-PROC_NAME="java"
-
-DAEMON="$DAEMON"
-DESC="$DESC"
-EXEC_PATH="$EXEC_PATH"
-SVC_USER="$SVC_USER"
-DAEMON_FLAGS="$DAEMON_FLAGS"
-KEYWORD="$KEYWORD"
-CONF_DIR="$CONF_DIR"
-PIDFILE="$PIDFILE"
-LOCKDIR="/var/lock/subsys"
-LOCKFILE="\$LOCKDIR/$DAEMON"
-WORKING_DIR="${WORKING_DIR:-~/}"
-
-install -d -m 0755 -o $SVC_USER -g $SVC_USER $(dirname $PIDFILE) 1>/dev/null 2>&1 || :
-[ -d "\$LOCKDIR" ] || install -d -m 0755 \$LOCKDIR 1>/dev/null 2>&1 || :
-__EOT__
-
-generate_functions
-generate_start
-generate_stop
-
-cat <<'__EOT__'
-restart() {
-  stop
-  start
-}
-
-checkstatusofproc(){
-  pidofproc -p $PIDFILE $PROC_NAME > /dev/null
-}
-
-checkstatus(){
-  checkstatusofproc
-  status=$?
-
-  case "$status" in
-    $STATUS_RUNNING)
-      log_success_msg "${DESC} is running"
-      ;;
-    $STATUS_DEAD)
-      log_failure_msg "${DESC} is dead and pid file exists"
-      ;;
-    $STATUS_DEAD_AND_LOCK)
-      log_failure_msg "${DESC} is dead and lock file exists"
-      ;;
-    $STATUS_NOT_RUNNING)
-      log_failure_msg "${DESC} is not running"
-      ;;
-    *)
-      log_failure_msg "${DESC} status is unknown"
-      ;;
-  esac
-  return $status
-}
-
-condrestart(){
-  [ -e $LOCKFILE ] && restart || :
-}
-
-check_for_root() {
-  if [ $(id -ur) -ne 0 ]; then
-    echo 'Error: root user required'
-    echo
-    exit 1
-  fi
-}
-
-service() {
-  case "$1" in
-    start)
-      check_for_root
-      start
-      ;;
-    stop)
-      check_for_root
-      stop
-      ;;
-    status)
-      checkstatus
-      RETVAL=$?
-      ;;
-    restart)
-      check_for_root
-      restart
-      ;;
-    condrestart|try-restart)
-      check_for_root
-      condrestart
-      ;;
-__EOT__
-
-generate_extra_commands
-
-cat <<'__EOT__'
-  esac
-}
-
-service "$1"
-
-exit $RETVAL
-__EOT__

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-packages/src/common/tachyon/install_tachyon.sh
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/common/tachyon/install_tachyon.sh b/bigtop-packages/src/common/tachyon/install_tachyon.sh
deleted file mode 100644
index e9efe37..0000000
--- a/bigtop-packages/src/common/tachyon/install_tachyon.sh
+++ /dev/null
@@ -1,160 +0,0 @@
-#!/bin/bash
-
-# Licensed to the Apache Software Foundation (ASF) under one or more
-# contributor license agreements.  See the NOTICE file distributed with
-# this work for additional information regarding copyright ownership.
-# The ASF licenses this file to You under the Apache License, Version 2.0
-# (the "License"); you may not use this file except in compliance with
-# the License.  You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-set -ex
-
-usage() {
-  echo "
-usage: $0 <options>
-  Required not-so-options:
-     --build-dir=DIR             path to Tachyon dist.dir
-     --prefix=PREFIX             path to install into
-
-  Optional options:
-     --bin-dir=DIR               path to install bin
-     --data-dir=DIR              path to install local Tachyon data
-     ... [ see source for more similar options ]
-  "
-  exit 1
-}
-
-OPTS=$(getopt \
-  -n $0 \
-  -o '' \
-  -l 'prefix:' \
-  -l 'bin-dir:' \
-  -l 'libexec-dir:' \
-  -l 'var-dir:' \
-  -l 'lib-dir:' \
-  -l 'data-dir:' \
-  -l 'build-dir:' -- "$@")
-
-if [ $? != 0 ] ; then
-    usage
-fi
-
-eval set -- "$OPTS"
-while true ; do
-    case "$1" in
-        --prefix)
-        PREFIX=$2 ; shift 2
-        ;;
-        --build-dir)
-        BUILD_DIR=$2 ; shift 2
-        ;;
-        --libexec-dir)
-        LIBEXEC_DIR=$2 ; shift 2
-        ;;
-        --lib-dir)
-        LIB_DIR=$2 ; shift 2
-        ;;
-        --bin-dir)
-        BIN_DIR=$2 ; shift 2
-        ;;
-        --var-dir)
-        VAR_DIR=$2 ; shift 2
-        ;;
-        --data-dir)
-        DATA_DIR=$2 ; shift 2
-        ;;
-        --)
-        shift ; break
-        ;;
-        *)
-        echo "Unknown option: $1"
-        usage
-        exit 1
-        ;;
-    esac
-done
-
-for var in PREFIX BUILD_DIR ; do
-  if [ -z "$(eval "echo \$$var")" ]; then
-    echo Missing param: $var
-    usage
-  fi
-done
-
-LIB_DIR=${LIB_DIR:-/usr/lib/tachyon}
-LIBEXEC_DIR=${INSTALLED_LIB_DIR:-/usr/libexec}
-BIN_DIR=${BIN_DIR:-/usr/bin}
-
-install -d -m 0755 $PREFIX/$LIB_DIR
-install -d -m 0755 $PREFIX/$LIB_DIR/bin
-install -d -m 0755 $PREFIX/$LIB_DIR/libexec
-install -d -m 0755 $PREFIX/$LIB_DIR/lib
-install -d -m 0755 $PREFIX/$LIB_DIR/share
-install -d -m 0755 $PREFIX/$DATA_DIR
-install -d -m 0755 $PREFIX/$DATA_DIR/tachyon
-install -d -m 0755 $PREFIX/etc
-install -d -m 0755 $PREFIX/etc/tachyon
-install -d -m 0755 $PREFIX/etc/tachyon/conf
-install -d -m 0755 $PREFIX/$VAR_DIR/log/tachyon
-install -d -m 0755 $PREFIX/$VAR_DIR/lib/tachyon/journal
-install -d -m 0755 $PREFIX/$VAR_DIR/lib/tachyon/core/src/main/webapp
-ln -s $VAR_DIR/log/tachyon $PREFIX/$VAR_DIR/lib/tachyon/logs
-install -d -m 0755 $PREFIX/$VAR_DIR/run/tachyon
-
-#cp -ra ${BUILD_DIR}/lib/* $PREFIX/${LIB_DIR}/lib/
-cp client/target/tachyon-client*.jar core/target/tachyon*.jar $PREFIX/$LIB_DIR
-cp -a bin/* $PREFIX/${LIB_DIR}/bin
-cp -a libexec/* $PREFIX/${LIB_DIR}/libexec
-cp -rf core/src/main/webapp $PREFIX/$VAR_DIR/lib/tachyon/core/src/main
-
-# Copy in the configuration files
-install -m 0644 conf/log4j.properties conf/workers $PREFIX/etc/tachyon/conf
-cp conf/tachyon-env.sh.template $PREFIX/etc/tachyon/conf/tachyon-env.sh
-
-# Copy in the /usr/bin/tachyon wrapper
-install -d -m 0755 $PREFIX/$BIN_DIR
-
-# Copy in tachyon deploy scripts
-cp -rf deploy $PREFIX/$LIB_DIR/share
-
-# Prefix is correct at time of install,
-# but we dont want to escape it before that point.
-cat > $PREFIX/$BIN_DIR/tachyon <<EOF
-#!/bin/bash
-
-# Autodetect JAVA_HOME if not defined
-. /usr/lib/bigtop-utils/bigtop-detect-javahome
-# Lib dir => ${LIB_DIR}
-#!/usr/bin/env bash
-exec ${LIB_DIR}/bin/tachyon "\$@"
-EOF
-chmod 755 $PREFIX/$BIN_DIR/tachyon
-
-cat >$PREFIX/$LIB_DIR/libexec/tachyon-layout.sh <<EOF
-#!/usr/bin/env bash
-
-export TACHYON_SYSTEM_INSTALLATION="TRUE"
-export TACHYON_PREFIX="$LIB_DIR"
-export TACHYON_HOME="/var/lib/tachyon"
-export TACHYON_CONF_DIR="/etc/tachyon/conf"
-export TACHYON_LOGS_DIR="/var/log/tachyon"
-export TACHYON_DATA_DIR="/var/run/tachyon"
-export TACHYON_JAR="\`find $LIB_DIR/ -name tachyon*dependencies.jar|grep -v client\`"
-
-# find JAVA_HOME
-. /usr/lib/bigtop-utils/bigtop-detect-javahome
-
-if [ -z "JAVA_HOME" ]; then
-  export JAVA="/usr/bin/java"
-else
-  export JAVA="\$JAVA_HOME/bin/java"
-fi
-EOF

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-packages/src/common/tachyon/tachyon-master.svc
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/common/tachyon/tachyon-master.svc b/bigtop-packages/src/common/tachyon/tachyon-master.svc
deleted file mode 100644
index 00fb14c..0000000
--- a/bigtop-packages/src/common/tachyon/tachyon-master.svc
+++ /dev/null
@@ -1,72 +0,0 @@
-# Licensed to the Apache Software Foundation (ASF) under one or more
-# contributor license agreements.  See the NOTICE file distributed with
-# this work for additional information regarding copyright ownership.
-# The ASF licenses this file to You under the Apache License, Version 2.0
-# (the "License"); you may not use this file except in compliance with
-# the License.  You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-TYPE="master"
-DAEMON="tachyon-${TYPE}"
-DESC="Tachyon ${TYPE}"
-EXEC_PATH="/usr/lib/tachyon/bin/tachyon-start.sh"
-WORKING_DIR="/var/lib/tachyon"
-DAEMON_FLAGS="master Mount"
-KEYWORD="tachyon.master.TachyonMaster"
-CONF_DIR="/etc/tachyon/conf"
-PIDFILE="/var/run/tachyon/${DAEMON}.pid"
-
-generate_start() {
-
-cat <<'__EOT__'
-start() {
-    [ -x $EXE_FILE ] || exit $ERROR_PROGRAM_NOT_INSTALLED
-    log_success_msg "Starting $DESC (${DAEMON}): "
-
-    checkstatusofproc
-    status=$?
-    if [ "$status" -eq "$STATUS_RUNNING" ]; then
-        log_success_msg "${DESC} is running"
-        exit 0
-    fi
-
-    LOG_FILE=/var/log/tachyon/${DAEMON}.out
-
-    /bin/bash -c "nohup nice -n 0 \
-        ${EXEC_PATH} ${DAEMON_FLAGS} \
-        > $LOG_FILE 2>&1 & "
-
-    sleep 3
-
-    echo `ps -A -o pid,command | grep -i "[j]ava" | grep $KEYWORD | awk '{print $1}'` > $PIDFILE
-
-    checkstatusofproc
-    RETVAL=$?
-    [ $RETVAL -eq $STATUS_RUNNING ] && touch $LOCKFILE
-    return $RETVAL
-}
-__EOT__
-
-}
-
-generate_stop() {
-
-cat <<'__EOT__'
-stop() {
-    log_success_msg "Stopping $DESC (${DAEMON}): "
-    /usr/lib/tachyon/bin/tachyon-stop.sh master 2>&1 > /dev/null
-    RETVAL=$?
-
-    [ $RETVAL -eq $RETVAL_SUCCESS ] && rm -f $LOCKFILE $PIDFILE
-    return $RETVAL
-}
-__EOT__
-
-}

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-packages/src/common/tachyon/tachyon-worker.svc
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/common/tachyon/tachyon-worker.svc b/bigtop-packages/src/common/tachyon/tachyon-worker.svc
deleted file mode 100644
index ec78943..0000000
--- a/bigtop-packages/src/common/tachyon/tachyon-worker.svc
+++ /dev/null
@@ -1,76 +0,0 @@
-# Licensed to the Apache Software Foundation (ASF) under one or more
-# contributor license agreements.  See the NOTICE file distributed with
-# this work for additional information regarding copyright ownership.
-# The ASF licenses this file to You under the Apache License, Version 2.0
-# (the "License"); you may not use this file except in compliance with
-# the License.  You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-TYPE="worker"
-DAEMON="tachyon-${TYPE}"
-DESC="Tachyon ${TYPE}"
-EXEC_PATH="/usr/lib/tachyon/bin/tachyon-start.sh"
-WORKING_DIR="/var/lib/tachyon"
-DAEMON_FLAGS="worker Mount"
-KEYWORD="tachyon.worker.TachyonWorker"
-CONF_DIR="/etc/tachyon/conf"
-PIDFILE="/var/run/tachyon/${DAEMON}.pid"
-
-generate_start() {
-
-cat <<'__EOT__'
-start() {
-    [ -x $EXE_FILE ] || exit $ERROR_PROGRAM_NOT_INSTALLED
-    log_success_msg "Starting $DESC (${DAEMON}): "
-
-    checkstatusofproc
-    status=$?
-    if [ "$status" -eq "$STATUS_RUNNING" ]; then
-        log_success_msg "${DESC} is running"
-        exit 0
-    fi
-
-    LOG_FILE=/var/log/tachyon/${DAEMON}.out
-
-    if [ -f $CONF_DIR/tachyon-env.sh ]; then
-        . $CONF_DIR/tachyon-env.sh
-    fi
-
-    /bin/bash -c "nohup nice -n 0 \
-        ${EXEC_PATH} ${DAEMON_FLAGS} \
-        > $LOG_FILE 2>&1 & "
-
-    sleep 3
-
-    echo `ps -A -o pid,command | grep -i "[j]ava" | grep $KEYWORD | awk '{print $1}'` > $PIDFILE
-
-    checkstatusofproc
-    RETVAL=$?
-    [ $RETVAL -eq $STATUS_RUNNING ] && touch $LOCKFILE
-    return $RETVAL
-}
-__EOT__
-
-}
-
-generate_stop() {
-
-cat <<'__EOT__'
-stop() {
-    log_success_msg "Stopping $DESC (${DAEMON}): "
-    /usr/lib/tachyon/bin/tachyon-stop.sh worker 2>&1 > /dev/null
-    RETVAL=$?
-
-    [ $RETVAL -eq $RETVAL_SUCCESS ] && rm -f $LOCKFILE $PIDFILE
-    return $RETVAL
-}
-__EOT__
-
-}

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-packages/src/deb/alluxio/alluxio.dirs
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/alluxio/alluxio.dirs b/bigtop-packages/src/deb/alluxio/alluxio.dirs
new file mode 100644
index 0000000..d85a7bf
--- /dev/null
+++ b/bigtop-packages/src/deb/alluxio/alluxio.dirs
@@ -0,0 +1,4 @@
+/etc/alluxio/conf
+/usr/lib/alluxio
+/usr/bin
+/var/run/alluxio

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-packages/src/deb/alluxio/alluxio.install
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/alluxio/alluxio.install b/bigtop-packages/src/deb/alluxio/alluxio.install
new file mode 100644
index 0000000..4fd8920
--- /dev/null
+++ b/bigtop-packages/src/deb/alluxio/alluxio.install
@@ -0,0 +1,3 @@
+/etc/alluxio/conf
+/usr/lib/alluxio
+/usr/bin/alluxio

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-packages/src/deb/alluxio/alluxio.postinst
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/alluxio/alluxio.postinst b/bigtop-packages/src/deb/alluxio/alluxio.postinst
new file mode 100644
index 0000000..a2078db
--- /dev/null
+++ b/bigtop-packages/src/deb/alluxio/alluxio.postinst
@@ -0,0 +1,32 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -e
+
+case "$1" in
+    configure)
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+#DEBHELPER#

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-packages/src/deb/alluxio/alluxio.prerm
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/alluxio/alluxio.prerm b/bigtop-packages/src/deb/alluxio/alluxio.prerm
new file mode 100644
index 0000000..4ba1a94
--- /dev/null
+++ b/bigtop-packages/src/deb/alluxio/alluxio.prerm
@@ -0,0 +1,37 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -e
+
+case "$1" in
+    remove|upgrade|deconfigure)
+    ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-packages/src/deb/alluxio/changelog
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/alluxio/changelog b/bigtop-packages/src/deb/alluxio/changelog
new file mode 100644
index 0000000..d4858cd
--- /dev/null
+++ b/bigtop-packages/src/deb/alluxio/changelog
@@ -0,0 +1 @@
+--- This is auto-generated

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-packages/src/deb/alluxio/compat
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/alluxio/compat b/bigtop-packages/src/deb/alluxio/compat
new file mode 100644
index 0000000..ec63514
--- /dev/null
+++ b/bigtop-packages/src/deb/alluxio/compat
@@ -0,0 +1 @@
+9

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-packages/src/deb/alluxio/control
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/alluxio/control b/bigtop-packages/src/deb/alluxio/control
new file mode 100644
index 0000000..9b057c7
--- /dev/null
+++ b/bigtop-packages/src/deb/alluxio/control
@@ -0,0 +1,37 @@
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+Source: alluxio
+Section: misc
+Priority: extra
+Maintainer: Huamin Chen <hchen@redhat.com>
+Build-Depends: debhelper (>= 7.0.50~)
+Standards-Version: 3.9.4
+Homepage: http://www.alluxio.org
+
+Package:  alluxio
+Architecture: all
+Depends: bigtop-utils (>= 0.7)
+Description: Reliable file sharing at memory speed across cluster frameworks
+ Alluxio is a fault tolerant distributed file system
+ enabling reliable file sharing at memory-speed
+ across cluster frameworks, such as Spark and MapReduce.
+ It achieves high performance by leveraging lineage
+ information and using memory aggressively.
+ Alluxio caches working set files in memory, and
+ enables different jobs/queries and frameworks to
+ access cached files at memory speed. Thus, Alluxio
+ avoids going to disk to load data-sets that
+ are frequently read.

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-packages/src/deb/alluxio/copyright
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/alluxio/copyright b/bigtop-packages/src/deb/alluxio/copyright
new file mode 100644
index 0000000..6c29977
--- /dev/null
+++ b/bigtop-packages/src/deb/alluxio/copyright
@@ -0,0 +1,15 @@
+Format: http://dep.debian.net/deps/dep5
+Source: http://www.alluxio.org/
+Upstream-Name: Alluxio Project
+
+Files: *
+Copyright: 2010-2011, The Apache Software Foundation
+License: Apache-2.0
+
+Files debian/*
+Copyright: 2011, The Apache Software Foundation
+License: Apache-2.0
+
+License: Apache-2.0
+ On Debian systems, the complete text of the Apache 2.0 license
+ can be found in "/usr/share/common-licenses/Apache-2.0".

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-packages/src/deb/alluxio/rules
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/alluxio/rules b/bigtop-packages/src/deb/alluxio/rules
new file mode 100755
index 0000000..f595e10
--- /dev/null
+++ b/bigtop-packages/src/deb/alluxio/rules
@@ -0,0 +1,43 @@
+#!/usr/bin/make -f
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# -*- makefile -*-
+
+# Uncomment this to turn on verbose mode.
+export DH_VERBOSE=1
+
+# This has to be exported to make some magic below work.
+export DH_OPTIONS
+
+%:
+	dh $@
+
+override_dh_auto_build:
+	# we'll just use the build from the tarball.
+	bash debian/do-component-build -Dmaven.repo.local=${HOME}/.m2/repository
+
+override_dh_auto_install:
+	bash -x debian/install_alluxio.sh \
+    --build-dir=build \
+    --bin-dir=/usr/bin \
+    --data-dir=/usr/share \
+    --libexec-dir=/usr/lib/alluxio/libexec \
+    --var-dir= /var/ \
+    --prefix=debian/tmp
+	mkdir -p debian/alluxio/etc/init.d/
+	bash debian/init.d.tmpl debian/alluxio-master.svc deb debian/alluxio/etc/init.d/alluxio-master
+	bash debian/init.d.tmpl debian/alluxio-worker.svc deb debian/alluxio/etc/init.d/alluxio-worker

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-packages/src/deb/alluxio/source/format
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/alluxio/source/format b/bigtop-packages/src/deb/alluxio/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/bigtop-packages/src/deb/alluxio/source/format
@@ -0,0 +1 @@
+3.0 (quilt)

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-packages/src/deb/tachyon/changelog
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/tachyon/changelog b/bigtop-packages/src/deb/tachyon/changelog
deleted file mode 100644
index d4858cd..0000000
--- a/bigtop-packages/src/deb/tachyon/changelog
+++ /dev/null
@@ -1 +0,0 @@
---- This is auto-generated

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-packages/src/deb/tachyon/compat
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/tachyon/compat b/bigtop-packages/src/deb/tachyon/compat
deleted file mode 100644
index ec63514..0000000
--- a/bigtop-packages/src/deb/tachyon/compat
+++ /dev/null
@@ -1 +0,0 @@
-9

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-packages/src/deb/tachyon/control
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/tachyon/control b/bigtop-packages/src/deb/tachyon/control
deleted file mode 100644
index 061239b..0000000
--- a/bigtop-packages/src/deb/tachyon/control
+++ /dev/null
@@ -1,37 +0,0 @@
-# Licensed to the Apache Software Foundation (ASF) under one or more
-# contributor license agreements.  See the NOTICE file distributed with
-# this work for additional information regarding copyright ownership.
-# The ASF licenses this file to You under the Apache License, Version 2.0
-# (the "License"); you may not use this file except in compliance with
-# the License.  You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-Source: tachyon-tfs
-Section: misc
-Priority: extra
-Maintainer: Huamin Chen <hchen@redhat.com>
-Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.4
-Homepage: http://tachyon-project.org
-
-Package:  tachyon-tfs
-Architecture: all
-Depends: bigtop-utils (>= 0.7)
-Description: Reliable file sharing at memory speed across cluster frameworks
- Tachyon is a fault tolerant distributed file system
- enabling reliable file sharing at memory-speed
- across cluster frameworks, such as Spark and MapReduce.
- It achieves high performance by leveraging lineage
- information and using memory aggressively.
- Tachyon caches working set files in memory, and
- enables different jobs/queries and frameworks to
- access cached files at memory speed. Thus, Tachyon
- avoids going to disk to load data-sets that
- are frequently read.

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-packages/src/deb/tachyon/copyright
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/tachyon/copyright b/bigtop-packages/src/deb/tachyon/copyright
deleted file mode 100644
index 1cbe16f..0000000
--- a/bigtop-packages/src/deb/tachyon/copyright
+++ /dev/null
@@ -1,15 +0,0 @@
-Format: http://dep.debian.net/deps/dep5
-Source: http://tachyon-project.org/
-Upstream-Name: Tachyon Project
-
-Files: *
-Copyright: 2010-2011, The Apache Software Foundation
-License: Apache-2.0
-
-Files debian/*
-Copyright: 2011, The Apache Software Foundation
-License: Apache-2.0
-
-License: Apache-2.0
- On Debian systems, the complete text of the Apache 2.0 license
- can be found in "/usr/share/common-licenses/Apache-2.0".

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-packages/src/deb/tachyon/patch0-exclude-debian-subdir-from-license-check.diff
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/tachyon/patch0-exclude-debian-subdir-from-license-check.diff b/bigtop-packages/src/deb/tachyon/patch0-exclude-debian-subdir-from-license-check.diff
deleted file mode 100644
index 98e6e64..0000000
--- a/bigtop-packages/src/deb/tachyon/patch0-exclude-debian-subdir-from-license-check.diff
+++ /dev/null
@@ -1,10 +0,0 @@
---- tachyon-0.6.0/pom.xml.orig	2015-02-11 06:23:19.000000000 +0100
-+++ tachyon-0.6.0/pom.xml	2015-04-01 21:52:11.672000000 +0200
-@@ -302,6 +302,7 @@
-             <exclude>**/docs/**/*</exclude>
-             <exclude>LICENSE</exclude>
-             <exclude>NOTICE</exclude>
-+            <exclude>debian/**</exclude>
-           </excludes>
-           <mapping>
-             <java>SLASHSTAR_STYLE</java>

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f9923e2e/bigtop-packages/src/deb/tachyon/rules
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/tachyon/rules b/bigtop-packages/src/deb/tachyon/rules
deleted file mode 100755
index 6611f7d..0000000
--- a/bigtop-packages/src/deb/tachyon/rules
+++ /dev/null
@@ -1,43 +0,0 @@
-#!/usr/bin/make -f
-#
-# Licensed to the Apache Software Foundation (ASF) under one or more
-# contributor license agreements.  See the NOTICE file distributed with
-# this work for additional information regarding copyright ownership.
-# The ASF licenses this file to You under the Apache License, Version 2.0
-# (the "License"); you may not use this file except in compliance with
-# the License.  You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-#
-# -*- makefile -*-
-
-# Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
-
-# This has to be exported to make some magic below work.
-export DH_OPTIONS
-
-%:
-	dh $@
-
-override_dh_auto_build:
-	# we'll just use the build from the tarball.
-	bash debian/do-component-build -Dmaven.repo.local=${HOME}/.m2/repository
-
-override_dh_auto_install:
-	bash -x debian/install_tachyon.sh \
-    --build-dir=build \
-    --bin-dir=/usr/bin \
-    --data-dir=/usr/share \
-    --libexec-dir=/usr/lib/tachyon/libexec \
-    --var-dir= /var/ \
-    --prefix=debian/tmp
-	mkdir -p debian/tachyon-tfs/etc/init.d/
-	bash debian/init.d.tmpl debian/tachyon-master.svc deb debian/tachyon-tfs/etc/init.d/tachyon-master
-	bash debian/init.d.tmpl debian/tachyon-worker.svc deb debian/tachyon-tfs/etc/init.d/tachyon-worker


Mime
View raw message